%define major	0
%define package_name gtkhtml
%define api_version 4.0
%define libname %mklibname %{package_name} %{api_version} %{major}
%define libnamedev %mklibname -d %{package_name} %{api_version}

Summary: HTML rendering/editing library
Name: gtkhtml4
Version: 4.10.0
Release: %mkrel 1
License: LGPLv2+
Group: Graphical desktop/GNOME
Source0: http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/%{package_name}-%{version}.tar.xz
URL:		http://ftp.gnome.org/pub/gnome/sources/gtkhtml/
#-----------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}gail3.0-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
#-----------------------------------
BuildRequires:	iso-codes-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gnome-icon-theme
BuildRequires:	intltool
Requires:	%{libname} >= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -f %{package_name}-%{api_version}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_datadir}/gtkhtml-%{api_version}

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Libraries for GtkHTML
Group:          System/Libraries

%description -n %{libname}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/libgtkhtml-%{api_version}.so.%{major}*
%{_libdir}/libgtkhtml-editor-%{api_version}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/Libraries
Requires:	%{name} = %{version}
Requires:       %{libname} = %{version}
Provides:	%{package_name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_bindir}/gtkhtml-editor-test4
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -qn %{package_name}-%{version}

%build
%configure2_5x --disable-static --program-suffix=4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -fr %buildroot%{_libdir}/*.la

%{find_lang} %{package_name}-%{api_version}


%changelog
* Mon Sep 28 2015 bb <bb> 4.10.0-1pclos2015
- update

* Tue Oct 14 2014 bb <bb> 4.8.5-1pclos2014
- update

* Fri Aug 15 2014 bb <bb> 4.8.4-1pclos2014
- update

* Wed Jun 11 2014 bb <bb> 4.8.2-1pclos2014
- update

